pwpolicy.h File Reference

Protos and data structures for pwpolicy checking. More...

Go to the source code of this file.

## Functions

char * | gvm_validate_password (const char *, const char *)
| Validate a password against the pattern file. More...
void | gvm_disable_password_policy (void)
| Disable all password policy checking. More...

## Detailed Description

Protos and data structures for pwpolicy checking.

This file contains the protos for pwpolicy.c

## Function Documentation

## gvm_disable_password_policy()

void gvm_disable_password_policy | ( | void |  | ) |

Disable all password policy checking.

## gvm_validate_password()

char* gvm_validate_password | ( | const char * | password,
|  | const char * | username
| ) |  |

Validate a password against the pattern file.

Parameters

  [in] | password | The password to check
  [in] | username | The user name or NULL. This is used to check the passphrase against the user name.

Returns
  NULL on success or a malloced string with an error description.